# Asterisk Project : Asterisk 12 Application_SpeechLoadGrammar

Added by wikibot , edited by wikibot on Aug 29, 2013

# SpeechLoadGrammar()

### Synopsis

Load a grammar.

### Description

Load a grammar only on the channel, not globally.

Hangs up the channel on failure. If this is not desired, use TryExec.

### Syntax

    SpeechLoadGrammar(grammar_name,path)

##### Arguments

- `grammar_name`
- `path`

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown